OnlyFansFree Trial LinksShared Free Trial Links
Revoke Shared Free Trial Link Access
Revoke the account's access to a shared Free Trial Link. Calls OnlyFans DELETE /trials/share-access, then removes the local cache row. The owner keeps the link.
Authorization
default AuthorizationBearer <token>
Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys
In: header
Path Parameters
account*string
The Account ID
shared_trial_link_id*integer
The OnlyFans-side ID of the shared trial link
Response Body
application/json
curl -X DELETE "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/shared-trial-links/123"{
"data": {
"success": true
},
"_meta": {
"_credits": {
"used": 1,
"balance": 10055832,
"note": "Always"
},
"_cache": {
"is_cached": false,
"note": "Cache disabled for this endpoint"
},
"_rate_limits": {
"limit_minute": 5000,
"limit_day": null,
"remaining_minute": 4999,
"remaining_day": null,
"notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
}
}
}